aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-biology/bamtools/bamtools-9999.ebuild23
-rw-r--r--sci-biology/bamtools/files/bamtools-9999-unbundle.patch23
2 files changed, 36 insertions, 10 deletions
diff --git a/sci-biology/bamtools/bamtools-9999.ebuild b/sci-biology/bamtools/bamtools-9999.ebuild
index 25a6001eb..f69a02c05 100644
--- a/sci-biology/bamtools/bamtools-9999.ebuild
+++ b/sci-biology/bamtools/bamtools-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -14,16 +14,19 @@ EGIT_REPO_URI="https://github.com/pezmaster31/bamtools.git"
LICENSE="MIT"
SLOT="0"
KEYWORDS=""
-IUSE=""
+IUSE="static-libs"
-S="${WORKDIR}"/src
+DEPEND="
+ >=dev-libs/jsoncpp-0.5.0-r1
+ <dev-libs/jsoncpp-1
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-unbundle.patch )
src_install() {
- dobin bin/bamtools
- dolib lib/*
- insinto /usr/include/bamtools/api
- doins include/api/*
- insinto /usr/include/bamtools/shared
- doins include/shared/*
- dodoc README
+ cmake-utils_src_install
+ if ! use static-libs; then
+ rm "${ED}"/usr/$(get_libdir)/*.a || die
+ fi
}
diff --git a/sci-biology/bamtools/files/bamtools-9999-unbundle.patch b/sci-biology/bamtools/files/bamtools-9999-unbundle.patch
new file mode 100644
index 000000000..c07c59d2c
--- /dev/null
+++ b/sci-biology/bamtools/files/bamtools-9999-unbundle.patch
@@ -0,0 +1,23 @@
+--- bamtools-2.3.0/src/api/CMakeLists.txt.ori 2013-08-27 18:00:43.000000000 +0200
++++ bamtools-2.3.0/src/api/CMakeLists.txt 2013-08-27 18:00:47.000000000 +0200
+@@ -54,8 +54,8 @@
+ target_link_libraries( BamTools-static ${APILibs} )
+
+ # set library install destinations
+-install( TARGETS BamTools LIBRARY DESTINATION "lib/bamtools" RUNTIME DESTINATION "bin")
+-install( TARGETS BamTools-static ARCHIVE DESTINATION "lib/bamtools")
++install( TARGETS BamTools LIBRARY DESTINATION "lib${LIB_SUFFIX}" RUNTIME DESTINATION "bin")
++install( TARGETS BamTools-static ARCHIVE DESTINATION "lib${LIB_SUFFIX}")
+
+ # export API headers
+ include(../ExportHeader.cmake)
+--- bamtools-2.3.0/src/CMakeLists.txt.ori 2013-08-27 18:03:10.000000000 +0200
++++ bamtools-2.3.0/src/CMakeLists.txt 2013-08-27 18:03:23.000000000 +0200
+@@ -6,7 +6,6 @@
+ # ==========================
+
+ add_subdirectory( api )
+-add_subdirectory( third_party )
+ add_subdirectory( toolkit )
+ add_subdirectory( utils )
+